/*******************************************************************************
 * FoxMenuBackgroundUI generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxMenuBackgroundUI extends ZeMovieBase
    native(UI)
    config(UI);

var() const config string BGPath;
var transient FoxPC PCOwner;
var bool bFadingOut;
var delegate<OnFadedInDelegate> __OnFadedInDelegate__Delegate;

delegate OnFadedInDelegate()
{
    //return;    
}

function Initialize()
{
    PCOwner.ForceDynamicLights(true);
    Start();
    SetBGTexture();
    as_fadeInBackground();
    as_UpdateResolution();
    UpdateTriangleVisibility();
    //return;    
}

function SetBGTexture()
{
    as_SetBGTexture(default.BGPath);
    //return;    
}

function FadeOut()
{
    // End:0x45
    if(!bFadingOut)
    {
        PCOwner.ForceDynamicLights(false);
        bFadingOut = true;
        as_FadeOut();
    }
    //return;    
}

function ei_BackgroundDone()
{
    // End:0xA8
    if(PCOwner != none)
    {
        PCOwner.MenuBG = none;
        // End:0xA8
        if(PCOwner.MenuMesh != none)
        {
            PCOwner.MenuMesh.SetHidden(true);
            PCOwner.MenuMesh = none;
        }
    }
    PCOwner = none;
    Close();
    //return;    
}

function ei_BackgroundFadeInDone()
{
    // End:0x22
    if(__OnFadedInDelegate__Delegate != none)
    {
        OnFadedInDelegate();
    }
    //return;    
}

function UpdateTriangleVisibility()
{
    SetShowTriangles(true);
    //return;    
}

function SetShowTriangles(bool bShow)
{
    // End:0x1A
    if(bShow)
    {
        as_ShowTriangles();
    }
    // End:0x24
    else
    {
        as_HideTriangles();
    }
    //return;    
}

private final function as_FadeOut()
{
    ActionScriptVoid("_root.fadeBackground");
    //return;    
}

event as_UpdateResolution()
{
    ActionScriptVoid("_root.changeResolution");
    //return;    
}

function as_PlaceArmoryBox()
{
    ActionScriptVoid("_root.placeArmoryBox");
    //return;    
}

function as_RemoveArmoryBox()
{
    ActionScriptVoid("_root.removeArmoryBox");
    //return;    
}

function as_ShowTriangles()
{
    ActionScriptVoid("_root.startTriangleSpawn");
    //return;    
}

function as_HideTriangles()
{
    ActionScriptVoid("_root.stopTriangleSpawn");
    //return;    
}

function as_backgroundDrillDown()
{
    ActionScriptVoid("_root.drillDown");
    //return;    
}

function as_backgroundDrillUp()
{
    ActionScriptVoid("_root.drillUp");
    //return;    
}

function as_remotePlayRing()
{
    ActionScriptVoid("_root.remotePlayRing");
    //return;    
}

function as_fadeInBackground()
{
    ActionScriptVoid("_root.fadeInBackground");
    //return;    
}

function as_SetBGTexture(string Path)
{
    ActionScriptVoid("_root.setBGTexture");
    //return;    
}

defaultproperties
{
    BGPath="img://UI_Icons.BG.default_2016"
    MovieLocation="Menu.Background"
    bAllowFocus=false
    SceneDPG=ESceneDepthPriorityGroup.SDPG_World
    Priority=0
}